Name:            dtddoc-maven-plugin
Version:         1.1
Release:         %mkrel 1
Summary:         DTDDoc Maven plugin
Group:           Development/Java
License:         X11 License
Url:             http://dtddoc.sourceforge.net/maven2/
# cvs -d:pserver:anonymous@dtddoc.cvs.sourceforge.net:/cvsroot/dtddoc login
# cvs -z3 -d:pserver:anonymous@dtddoc.cvs.sourceforge.net:/cvsroot/dtddoc export -r DTDDOC_MAVEN_PLUGIN_1_1 dtddoc-maven2-plugin
Source0:          dtddoc-maven2-plugin-1.1-src-cvs.tar.gz
Patch0:           dtddoc-maven-plugin-1.1-pom_xml.patch
BuildRequires:    ant
BuildRequires:    dtddoc
BuildRequires:    dtdparser
BuildRequires:    java-devel
BuildRequires:    jhighlight
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven
BuildRequires:    maven-doxia
BuildRequires:    maven-doxia-sitetools
BuildRequires:    maven-antrun-plugin
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-plugin-plugin
BuildRequires:    maven-project-info-reports-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-shared-reporting-api
BuildRequires:    maven-shared-reporting-impl
BuildRequires:    maven-site-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-wagon

Requires:         dtddoc
Requires:         dtdparser
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java
BuildArch:        noarch
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A Maven2 plugin to document DTDs with DTDDoc.

%package javadoc
Group:            Development/Java
Summary:          Javadocs for %{name}
Requires:         jpackage-utils

%description javadoc
DTDDoc Maven plugin.

This package contains javadoc for %{name}.

%prep
%setup -q -n dtddoc-maven2-plugin

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

%patch0 -p0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=net.sf.dtddoc \
  -DartifactId=dtdparser \
  -Dversion=1.20-dtddoc \
  -Dpackaging=jar \
  -Dfile=$(build-classpath dtdparser) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.apache.maven.wagon \
  -DartifactId=wagon-ssh \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-wagon/ssh) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:javadoc
   
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/dtddoc-maven-plugin-%{version}.jar   %{buildroot}%{_javadir}/dtddoc-maven-plugin.jar

%add_to_maven_depmap net.sf.dtddoc dtddoc-maven-plugin %{version} JPP dtddoc-maven-plugin
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-dtddoc-maven-plugin.pom

install -d -m 0755 %{buildroot}%{_javadocdir}/dtddoc-maven-plugin
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/dtddoc-maven-plugin/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/dtddoc-maven-plugin



%changelog

* Wed Oct 19 2011 dams <dams> 1.1-1.mga2
+ Revision: 156552
- update mkrel
- update subpackage group

  + gil <gil>
    - imported package dtddoc-maven-plugin


* Fri Jul 15 2011 gil <gil> 1.1-0.%%mkrel
- initial rpm

